package cn.com.taiji;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.web.servlet.ServletContextInitializer;
import org.springframework.scheduling.annotation.EnableScheduling;

import javax.servlet.ServletContext;
import javax.servlet.ServletException;

/**
 * 历史轨迹播放启动类
 * @author liwh
 * @since 2023.04.25
 */

@SpringBootApplication
@Slf4j
@EnableScheduling
public class WsGzipTrackPlayApplication implements ServletContextInitializer {

    @Override
    public void onStartup(ServletContext servletContext) throws ServletException {

        servletContext.setInitParameter("org.apache.tomcat.websocket.textBufferSize","10240000");
    }

    public static void main(String[] args) {
        SpringApplication.run(WsGzipTrackPlayApplication.class, args);
    }
}
