package cn.com.taiji.track.config;


import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

import java.io.Serializable;

@Configuration
@Data
public class EsConfig implements Serializable {

    @Value("${elasticsearch.rest.uris}")
    private String uris;

    @Value("${elasticsearch.rest.username}")
    private String username;

    @Value("${elasticsearch.rest.password}")
    private String password;

    @Value("${elasticsearch.rest.connect-timeout}")
    private int connectionTimeout;

    @Value("${elasticsearch.rest.connection}")
    private int maxConnection;

    @Value("${elasticsearch.rest.socket-timeout}")
    private int socketTimeout;

    @Value("${elasticsearch.rest.connection-request-timeout}")
    private int connectionRequestTimeout;

    @Value("${elasticsearch.rest.max-total}")
    private int maxTotal;

    @Value("${elasticsearch.rest.max-idle}")
    private int maxIdle;

    @Value("${elasticsearch.rest.min-idle}")
    private int minIdle;
}
