package cn.com.taiji.track.entity;

import lombok.Data;

import java.io.Serializable;

@Data
public class ShipTrack implements Serializable {

    //轨迹点ID
    private Object id;

    //批次号
    private String b;


    //航向
    private Object c;

    //航速
    private Object s;

    //纬度
    private Object lat;

    //经度
    private Object lon;


    //时间   yyyy-MM-dd HH:mm:ss
    private String t;

    // 融合类型
    private Object tp;
    // 船舶类型
    private Object stp;

    // 船名号
    private Object n;

    // 目标长度
    private Object l;

    // 当前最大吃水
    private Object d;

    // 目标状态
    private Object ts;

    // 目标分类
    private Object tt;

    // 目标（航迹）可信度
    private Object ttr;

    // 国籍
    private Object gn;

    // 融合终端标识
    private Object tno;

    //持续时长
    private long dur=0;










}
